MongoException
MongoResultException::getDocument
Exceptions
PHP Manual

# The MongoResultException class

(PECL mongo >=1.3.0)

## Introdução

The MongoResultException is thrown by several command helpers (such as MongoCollection::findAndModify()) in the event of failure. The original result document is available through MongoResultException::getDocument().

## Sinopse da classe

MongoResultException extends MongoException {
/* Propriedades */
public $document ;
/* Propriedades herdadas */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Métodos */
public array getDocument ( void )
}

## Propriedades

document

  The raw result document as an array.

## Índice

- MongoResultException::getDocument — Retrieve the full result document

MongoException
MongoResultException::getDocument
Exceptions
PHP Manual